#include "strerr.h"
#include "env.h"
#include "issub.h"

#define FATAL "ezmlm-issubn: fatal: "

void die_usage()
{
  strerr_die1x(100,"ezmlm-issubn: usage: ezmlm-issubn dir [dir1 ...]");
}

void die_sender()
{
  strerr_die2x(100,FATAL,"SENDER not set");
}

void main(argc,argv)
int argc;
char **argv;
{
  char *dir;
  char *addr;
  char *sender;
  int optind = 1;

  addr = env_get("SENDER");
  if (!addr) die_sender();	/* REQUIRE sender */

  if (!argv[1]) die_usage();

  while ((dir = argv[optind++])) {

    if (chdir(dir) == -1)
      strerr_die4sys(111,FATAL,"unable to switch to ",dir,": ");

    switch (issub(addr)) {
      case 1: _exit(0);	/* subscriber somewhere */
      case -1: strerr_die1(111,FATAL,&issub_err);
      case -2: strerr_die1(100,FATAL,&issub_err);
    }
  }
  _exit(99);	/* not subscriber anywhere */
}
